## tsung 1.4.1

=== debian/changelog ===
tsung (1.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #317568)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Tue, 20 Sep 2011 05:21:15 +0200

## tsung 1.4.2

=== doc/Makefile ===
# $Id$

MANPAGE_SRC  = tsung.1.sgml tsplot.1.sgml tsung-recorder.1.sgml
MANPAGE = tsung.1 tsplot.1 tsung-recorder.1

TOPDIR=.
IMG_TOPDIR=.
LOGO_DIR=$(TOPDIR)/logos

FILES=$(wildcard *.tex)

# classe et styles latex
INCLUDES=shortcuts.sty TSUNG-en.cls

# chemin des fichiers de style
STYLE=$(TOPDIR)/styles
CSS=IDXDOC.css

# classe et styles hevea
HEVEA_INC=TSUNG.hva
HEVEAOPTS=-fix -I $(STYLE) -exec xxdate.exe -pedantic
LANGUAGE=

# logos
LOGOS_JPG=
LOGOS_EPS = $(LOGOS_JPG:.jpg=.eps)

##############

# remove image.tex generated by hevea
TEXFILES=$(sort $(subst image.,,$(FILES)))
DVIFILES=$(TEXFILES:.tex=.dvi)
PSFILES=$(TEXFILES:.tex=.ps)
PDFFILES=$(TEXFILES:.tex=.pdf)
HTMLFILES=$(TEXFILES:.tex=.html)
HTML_INDEXFILES=$(TEXFILES:.tex=_index.html)

# get figures to be generated from gnuplot file
PLOT_DIR = $(IMG_TOPDIR)/plot
PLOT_PS = $(shell grep -s output $(PLOT_DIR)/*.gplot | cut -f3 -d" " | perl -e '{ while (<>) {chomp; s/"//;s/"/ /; print} }')
PLOT=$(addprefix $(PLOT_DIR)/,$(PLOT_PS))
#PLOT = $(wildcard $(PLOT_DIR)/*.ps)
PLOT_PNG = $(PLOT:.ps=.png)
PLOT_PDF = $(PLOT:.ps=.pdf)

# figures
FIGURES_DIR = $(IMG_TOPDIR)/figures
FIGURES = $(wildcard $(FIGURES_DIR)/*.fig)
FIGURES_PNG = $(FIGURES:.fig=.png)
#FIGURES_JPG = $(FIGURES:.fig=.jpg)
FIGURES_EPS = $(FIGURES_PNG:.png=.eps)

# images
IMAGES_DIR = $(IMG_TOPDIR)/images
IMAGES_PNG = $(wildcard $(IMAGES_DIR)/*.png)
IMAGES_EPS = $(IMAGES_PNG:.png=.eps)

ALL_IMG = $(notdir $(FIGURES))
ALL_IMG += $(notdir $(IMAGES_PNG))
ALL_IMG += $(notdir $(PLOT))

# pour recompiler le doc latex autant de fois que necessaire :
RERUN = "(There were undefined references|Rerun to get (cross-references|the bars) right)"
RERUNBIB = "No file.*\.bbl|Citation.*undefined"

#'-nopostscript' afin de ne pas subir l'interprtation/rendu des fichiers PS inclus
XDVI=xdvi -s 0 -geometry -0+0 -margins 0cm -nopostscript
XPDF=xpdf -geometry 600x768+0+0 -z page
GV=gv
CONVERT=convert
GNUPLOT=gnuplot
PDFLATEX=pdflatex  --interaction=batchmode
EPS2PDF=epstopdf
DVIPS=dvips
LATEX=latex  --interaction=batchmode
BIBTEX=bibtex
FIG2DEV=fig2dev
VIEWER=gv
HEVEA=hevea
HACHA=hacha
IMAGEN=imagen
MAKEINDEX=makeindex
TIDY=tidy
XSLTPROC=xsltproc

XSL=$(HOME)/cvs/web/idealx3.org/xhtml.xsl

# On rajoute les fichiers templates de LaTeX dans le VPATH pour make
# et dans TEXINPUTS pour LaTeX
TEXINPUTS = :.:$(STYLE):$(LOGO_DIR):$(IMAGES_DIR):$(FIGURES_DIR):$(PLOT_DIR):
BSTINPUTS = :.:$(STYLE)
VPATH = $(TEXINPUTS)

# pour exporter TEXINPUTS
.EXPORT_ALL_VARIABLES:

.PHONY:	clean distclean pdf dvi ps all html htmlsingle

# Stop GNU make from overzealous deletion of intermediate files
.PRECIOUS: %.dvi $(FIGURES_PNG) $(FIGURES_JPG) $(IMAGES_EPS) $(LOGOS_EPS) $(PLOT) $(PLOT_PNG) $(PLOT_PDF)

all: man

man: $(MANPAGE)

%.1: %.1.sgml
	docbook2man $< >/dev/null 2>&1


psimages: $(FIGURES_EPS) $(IMAGES_EPS) $(LOGOS_EPS)

pngimages: $(FIGURES_PNG)

show:
	@echo INC = $(INCLUDES)
	@echo FIG = $(FIGURES_PNG)
	@echo IMG=  $(IMAGES_PNG)
	@echo HEVEA=  $(HEVEA_INC)
	@echo PLOT= $(PLOT_PNG)
	@echo TEX = $(TEXFILES)
	@echo HTML = $(HTMLFILES)
	@echo LOGOS = $(LOGOS_EPS)
	@echo ALL_IMG = $(ALL_IMG)
	@echo TEXINPUTS = $(TEXINPUTS)

dist: pdf html
	tar zvcfh  archive.tgz *.html *.pdf $(ALL_IMG) $(CSS)


dvi: $(DVIFILES)
ps:	$(PSFILES)
pdf: $(PDFFILES)
html: $(HTMLFILES)
htmlsplit: $(HTML_INDEXFILES)
print:	$(PSFILES)
	@echo "printing $<"
	a2ps $<

#glossaire:
#        $(MAKEINDEX) -s tlglo.ist -o these.gls these.glo
#        makeindex these
#makeindex -s tlglo.ist -o these.gls these.glo

%_index.html:	%.html
	@echo splitting $@ ...
	@$(HACHA)  $(LANGUAGE) -o $@ $<

#%.html:	%.tex $(INCLUDES) $(FIGURES_PNG) $(IMAGES_PNG) $(HEVEA_INC) $(LOGOS_EPS) $(PLOT_PNG)

user_manual.html:	user_manual.tex ../CHANGES $(INCLUDES) $(FIGURES_PNG) $(IMAGES_PNG) $(HEVEA_INC) $(LOGOS_EPS) $(PLOT_PNG)
	@echo Generating $@...
	@$(HEVEA) $(HEVEAOPTS) $(LANGUAGE) $(HEVEA_INC) $<
ifeq ($(strip $(IMAGES_PNG)),)
	@echo no images
else
	@echo Generating images for html...
	@ln -sf $(IMAGES_DIR)/*.png .
endif
ifeq ($(strip $(FIGURES_PNG)),)
	@echo no figures
else
	@echo Generating figures for html...
	@ln -sf $(FIGURES_DIR)/*.png .
endif
ifeq ($(strip $(PLOT_PNG)),)
	@echo no plot
else
	@echo Generating plot for html...
	@ln -sf $(PLOT_DIR)/*.png .
endif
	@echo done

%.xhtml: %.html
	@echo "Generating XHTML"
	@$(TIDY) -latin1 -f $*.tidy_log -c -asxml $*.html > $*.xhtml ; true

%.xml: %.xhtml $(XSL)
	@echo Generating $@...
	@$(XSLTPROC) -o $*.xml $(XSL) $*.xhtml
	@perl -i -pe 's@idxwebml-xhtml.dtd">@../../idxwebml.dtd" [<!ENTITY leftbar SYSTEM "menu.xml">]>@g' $*.xml
	@echo "done"

## remove builtin GNU-make implicit rule for dvi
%.dvi : %.tex

gv:	ps
	@$(GV) $(FILE) &

xpdf:	pdf
	@$(XPDF) $(FILE).pdf &

%.dvi: %.tex Makefile $(INCLUDES) $(LOGOS_EPS) $(FIGURES_EPS) $(IMAGES_EPS) $(PLOT)
	@echo Generating $@...
	@echo
	@$(LATEX) $<
	@egrep -c $(RERUNBIB) $*.log && ($(BIBTEX) $*;$(LATEX) $<) ; true
	@egrep $(RERUN) $*.log && $(LATEX) $< ; true
	@egrep $(RERUN) $*.log && $(LATEX) $< ; true
# Display relevant warnings
	@egrep -i "(Reference|Citation).*undefined" $*.log ; true

%.ps:	%.dvi
	@echo Generating $@...
	@dvips -q -t a4 -o $@ $<
	@echo done.

%.pdf: %.tex ../CHANGES $(INCLUDES) $(LOGOS_JPG) $(FIGURES_PNG) $(IMAGES_PNG) $(PLOT_PDF)
	@echo Generating $@...
	@echo
	@$(PDFLATEX) $<
	@egrep -c $(RERUNBIB) $*.log && ($(BIBTEX) $*;$(LATEX) $<) ; true
	@egrep $(RERUN) $*.log && $(PDFLATEX) $< ; true
	@egrep $(RERUN) $*.log && $(PDFLATEX) $< ; true
# Display relevant warnings
	@egrep -i "(Reference|Citation).*undefined" $*.log ; true

%.eps:	%.jpg
	@echo convert $< $@
	@$(CONVERT) $< $@

%.eps:	%.png
	@echo convert $< $@
	@$(CONVERT) $< $@

clean:
	@echo -n Cleaning intermediate files...
	@rm -f *.{aux,log,toc,bak,haux,lof,out,htoc,ps,links,refs,1} $(LOGOS_EPS)
	@echo "  done."

$(PLOT_DIR)/%.ps:	$(PLOT_DIR)/*.gplot
	@echo \* Producing ps files $< with data with gnuplot
	@cd $(PLOT_DIR); $(GNUPLOT) *.gplot ; cd -

$(PLOT_DIR)/%.png:	$(PLOT_DIR)/%.ps
	@echo Generating $@
	@$(CONVERT) $< $@

$(PLOT_DIR)/%.pdf:	$(PLOT_DIR)/%.ps
	@echo Generating $@
	@$(EPS2PDF) $<

$(FIGURES_DIR)/%.png:	$(FIGURES_DIR)/%.fig
	@echo Generating $@
	@$(FIG2DEV) -L png $< $@

$(FIGURES_DIR)/%.jpg:	$(FIGURES_DIR)/%.fig
	@echo Generating $@
	@$(FIG2DEV) -L jpeg $< $@

$(FIGURES_DIR)/%.eps:	$(FIGURES_DIR)/%.fig
	@echo Generating $@
	@$(FIG2DEV) -L eps $< $@

$(IMAGES_DIR)/%.jpg:	$(IMAGES_DIR)/%.png
	@echo Generating $@
	@$(CONVERT) $< $@

$(IMAGES_DIR)/%.eps:	$(IMAGES_DIR)/%.png
	@echo Generating $@
	@$(CONVERT) $< $@

$(LOGO_DIR)/%.eps:	$(IMAGES_DIR)/%.jpg
	@echo Generating $@
	@$(CONVERT) $< $@

mrproper: distclean

distclean:	clean
	@echo -n Cleaning result files...
	@rm -f $(DVIFILES) $(PSFILES) $(PDFFILES) $(LOGOS_EPS) $(FIGURES_EPS) $(FIGURES_PNG) *.html *motif.gif $(IMAGES_DIR)/*.eps *.png *.image.tex $(PLOT_PNG) $(PLOT_PDF) $(PLOT) *.bbl *.blg''
	@echo "  done."

=== debian/changelog ===
tsung (1.4.2-1) unstable; urgency=low

  * New upstream version. (Closes: 653211)
  * debian/patches:
    - 01_spelling_corrections.diff: refreshed patch.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 08 Jan 2012 10:32:48 +0400

=== debian/control ===
Source: tsung
Section: net
Priority: optional
Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), erlang-nox, docbook-utils, erlang-src, erlang-dev, autotools-dev, python, python-support
Homepage: http://tsung.erlang-projects.org/
Standards-Version: 3.9.2

Package: tsung
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, erlang-nox, gnuplot, python-matplotlib, libtemplate-perl
Recommends: openssh-client
Description: distributed multi-protocol load testing tool
 Tsung is a distributed load testing tool. It can be used to stress
 HTTP, WebDAV, SOAP, PostgreSQL, MySQL, LDAP and Jabber/XMPP servers.
 .
 The purpose of Tsung is to simulate users in order to test the
 scalability and performance of IP based client/server applications.
 You can use it to do load and stress testing of your servers. Many
 protocols have been implemented and tested, and it can be easily
 extended. WebDAV, LDAP and MySQL support have been added recently
 (experimental).
 .
 For HTTP, it support 1.0 and 1.1 version, has a proxy mode to
 record sessions, support GET and POST method, Cookies and Basic
 WWW-authentication. It also has support for SSL.
 .
 It can be distributed on several client machines and is able to
 simulate hundreds of thousands of virtual users concurrently (or even
 millions if you have enough hardware ...).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f Makefile
	rm -f config.status
	rm -f ebin/tsung.app
	rm -f ebin/tsung_controller.app
	rm -f ebin/tsung_recorder.app
	rm -f examples/*.xml
	rm -f src/tsung/tsung.app.src
	rm -f src/tsung_controller/tsung_controller.app.src

override_dh_auto_test:

## tsung 1.5.1

=== debian/changelog ===
tsung (1.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #691354, #695284, #728124, #719234)
  * Acknowledge NMU, thanks Julián Moreno Patiño.
  * debian/patches:
    - Removed 02_fix_tsung_recorder_crash_dump.diff, included upstream.
    - Removed 01_spelling_corrections.diff, included upstream.
  * debian/rules:
    - Included build of html documentation.
  * debian/control:
    - Added Build-Depends on python-sphinx.
    - Added dependencies to JavaScript libraries used by html documentation:
      - libjs-jquery
      - libjs-underscore
  * debian/tsung.docs:
    - Added new html documentation.
  * debian/tsung.doc-base:
    - Updated to point to new index.html file.
  * debian/copyright:
    - Added mention to src/templates/dygraph-combined.js.
    - Added mention to src/tsung_percentile.pl.in.
  * debian/tsung.links:
    - Added links to JavaScript files used by html documentation.
  * Removed debian/docs file, duplicate of debian/tsung.docs.
  * Moved from python-support to dh_python2.
  * Bump Standards-Version to 3.9.5. No changes required.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Tue, 02 Sep 2014 18:12:13 -0400

tsung (1.4.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust properly versioned Dependency of erlang
    with erlang-depends. (Closes: #695284)
    + Thanks to Pkg Perl and Sebastian Ramacher
      for their contributions.
    + d/control: Use ${erlang:Depends},
      ${erlang-abi:Depends} instead erlang-nox.
      + Wrap and sort B-D and Depends.
      + Bump erlang-dev version to 1:13.b.1-dfsg-3
        to support ${erlang:Depends} variable substitution.
    + d/rules: Add override_dh_gencontrol to call
      erlang-depends.  

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 30 Dec 2012 14:55:54 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,29 @@
 Section: net
 Priority: optional
 Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), erlang-nox, docbook-utils, erlang-src, erlang-dev, autotools-dev, python, python-support
+Build-Depends: autotools-dev,
+ debhelper (>= 7.0.50~),
+ docbook-utils,
+ erlang-dev (>= 1:13.b.1-dfsg-3),
+ erlang-nox,
+ erlang-src,
+ python (>= 2.6.6-3~),
+ dh-python,
+ python-sphinx
 Homepage: http://tsung.erlang-projects.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 
 Package: tsung
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, erlang-nox, gnuplot, python-matplotlib, libtemplate-perl
+Depends: gnuplot,
+ libtemplate-perl,
+ python-matplotlib,
+ ${erlang-abi:Depends},
+ ${erlang:Depends},
+ ${misc:Depends},
+ ${python:Depends},
+ libjs-jquery,
+ libjs-underscore
 Recommends: openssh-client
 Description: distributed multi-protocol load testing tool
  Tsung is a distributed load testing tool. It can be used to stress

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -14,5 +14,21 @@
 	rm -f examples/*.xml
 	rm -f src/tsung/tsung.app.src
 	rm -f src/tsung_controller/tsung_controller.app.src
+	rm -f src/tsung/tsung.app
+	rm -f src/tsung_controller/tsung_controller.app
+	rm -f src/tsung_recorder/tsung_recorder.app
+	cd $(CURDIR)/docs/ && make clean
+
+override_dh_gencontrol:
+	erlang-depends
+	dh_gencontrol
 
 override_dh_auto_test:
+
+override_dh_auto_build:
+	dh_auto_build
+	cd $(CURDIR)/docs/ && make html
+
+override_dh_auto_install:
+	dh_auto_install
+	find $(CURDIR)/debian/tsung/usr/lib/erlang/lib/ -type d -empty -delete

## tsung 1.6.0

=== debian/changelog ===
tsung (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Moved all license text to bottom of the copyright file, as defined in the
      "recurrent license" section of the Debian copyright format v1.0.
    - Updated path to dygraph-combined.js.
    - Removed mention to rrdtool.hrl.
    - Mentioned all files that were added in this new release.
  * debian/tsung.links:
    - Added link to package provided jquery.min.js.
  * debian/compat:
    - Bumped compat version from 7 to 9.
  * debian/control:
    - Bumped Standards-Version to 3.9.8.
    - Updated debhelper dependency version to follow new compat version.
  * debian/rules:
    - Updated override_dh_auto_install to remove all installed and empty
      directories.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sat, 23 Jul 2016 23:46:46 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
 Build-Depends: autotools-dev,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  docbook-utils,
  erlang-dev (>= 1:13.b.1-dfsg-3),
  erlang-nox,
@@ -12,7 +12,7 @@
  dh-python,
  python-sphinx
 Homepage: http://tsung.erlang-projects.org/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 
 Package: tsung
 Architecture: any

## tsung 1.7.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Tsung.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Tsung.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Tsung"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Tsung"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== man/Makefile ===
# $Id$

MANPAGE_SRC  = tsung.1.sgml tsplot.1.sgml tsung-recorder.1.sgml
MANPAGE = tsung.1 tsplot.1 tsung-recorder.1

TOPDIR=.
IMG_TOPDIR=.
LOGO_DIR=$(TOPDIR)/logos

FILES=$(wildcard *.tex)

# classe et styles latex
INCLUDES=shortcuts.sty TSUNG-en.cls

# chemin des fichiers de style
STYLE=$(TOPDIR)/styles
CSS=IDXDOC.css

# classe et styles hevea
HEVEA_INC=TSUNG.hva
HEVEAOPTS=-fix -I $(STYLE) -exec xxdate.exe -pedantic
LANGUAGE=

# logos
LOGOS_JPG=
LOGOS_EPS = $(LOGOS_JPG:.jpg=.eps)

##############

# remove image.tex generated by hevea
TEXFILES=$(sort $(subst image.,,$(FILES)))
DVIFILES=$(TEXFILES:.tex=.dvi)
PSFILES=$(TEXFILES:.tex=.ps)
PDFFILES=$(TEXFILES:.tex=.pdf)
HTMLFILES=$(TEXFILES:.tex=.html)
HTML_INDEXFILES=$(TEXFILES:.tex=_index.html)

# get figures to be generated from gnuplot file
PLOT_DIR = $(IMG_TOPDIR)/plot
PLOT_PS = $(shell grep -s output $(PLOT_DIR)/*.gplot | cut -f3 -d" " | perl -e '{ while (<>) {chomp; s/"//;s/"/ /; print} }')
PLOT=$(addprefix $(PLOT_DIR)/,$(PLOT_PS))
#PLOT = $(wildcard $(PLOT_DIR)/*.ps)
PLOT_PNG = $(PLOT:.ps=.png)
PLOT_PDF = $(PLOT:.ps=.pdf)

# figures
FIGURES_DIR = $(IMG_TOPDIR)/figures
FIGURES = $(wildcard $(FIGURES_DIR)/*.fig)
FIGURES_PNG = $(FIGURES:.fig=.png)
#FIGURES_JPG = $(FIGURES:.fig=.jpg)
FIGURES_EPS = $(FIGURES_PNG:.png=.eps)

# images
IMAGES_DIR = $(IMG_TOPDIR)/images
IMAGES_PNG = $(wildcard $(IMAGES_DIR)/*.png)
IMAGES_EPS = $(IMAGES_PNG:.png=.eps)

ALL_IMG = $(notdir $(FIGURES))
ALL_IMG += $(notdir $(IMAGES_PNG))
ALL_IMG += $(notdir $(PLOT))

# pour recompiler le doc latex autant de fois que necessaire :
RERUN = "(There were undefined references|Rerun to get (cross-references|the bars) right)"
RERUNBIB = "No file.*\.bbl|Citation.*undefined"

#'-nopostscript' afin de ne pas subir l'interprtation/rendu des fichiers PS inclus
XDVI=xdvi -s 0 -geometry -0+0 -margins 0cm -nopostscript
XPDF=xpdf -geometry 600x768+0+0 -z page
GV=gv
CONVERT=convert
GNUPLOT=gnuplot
PDFLATEX=pdflatex  --interaction=batchmode
EPS2PDF=epstopdf
DVIPS=dvips
LATEX=latex  --interaction=batchmode
BIBTEX=bibtex
FIG2DEV=fig2dev
VIEWER=gv
HEVEA=hevea
HACHA=hacha
IMAGEN=imagen
MAKEINDEX=makeindex
TIDY=tidy
XSLTPROC=xsltproc

XSL=$(HOME)/cvs/web/idealx3.org/xhtml.xsl

# On rajoute les fichiers templates de LaTeX dans le VPATH pour make
# et dans TEXINPUTS pour LaTeX
TEXINPUTS = :.:$(STYLE):$(LOGO_DIR):$(IMAGES_DIR):$(FIGURES_DIR):$(PLOT_DIR):
BSTINPUTS = :.:$(STYLE)
VPATH = $(TEXINPUTS)
DOCBOOK2MAN_VERSION := $(shell docbook2man --version 2>/dev/null)

# pour exporter TEXINPUTS
.EXPORT_ALL_VARIABLES:

.PHONY:	clean distclean pdf dvi ps all html htmlsingle

# Stop GNU make from overzealous deletion of intermediate files
.PRECIOUS: %.dvi $(FIGURES_PNG) $(FIGURES_JPG) $(IMAGES_EPS) $(LOGOS_EPS) $(PLOT) $(PLOT_PNG) $(PLOT_PDF)

all: man

man: $(MANPAGE)

%.1: %.1.sgml
ifdef DOCBOOK2MAN_VERSION
	docbook2man $< >/dev/null 2>&1
else
	@echo "No docbook2man in PATH, man pages may be not uptodate. Consider installing docbook-utils. "
endif

psimages: $(FIGURES_EPS) $(IMAGES_EPS) $(LOGOS_EPS)

pngimages: $(FIGURES_PNG)

show:
	@echo INC = $(INCLUDES)
	@echo FIG = $(FIGURES_PNG)
	@echo IMG=  $(IMAGES_PNG)
	@echo HEVEA=  $(HEVEA_INC)
	@echo PLOT= $(PLOT_PNG)
	@echo TEX = $(TEXFILES)
	@echo HTML = $(HTMLFILES)
	@echo LOGOS = $(LOGOS_EPS)
	@echo ALL_IMG = $(ALL_IMG)
	@echo TEXINPUTS = $(TEXINPUTS)

dist: pdf html
	tar zvcfh  archive.tgz *.html *.pdf $(ALL_IMG) $(CSS)


dvi: $(DVIFILES)
ps:	$(PSFILES)
pdf: $(PDFFILES)
html: $(HTMLFILES)
htmlsplit: $(HTML_INDEXFILES)
print:	$(PSFILES)
	@echo "printing $<"
	a2ps $<

#glossaire:
#        $(MAKEINDEX) -s tlglo.ist -o these.gls these.glo
#        makeindex these
#makeindex -s tlglo.ist -o these.gls these.glo

%_index.html:	%.html
	@echo splitting $@ ...
	@$(HACHA)  $(LANGUAGE) -o $@ $<

#%.html:	%.tex $(INCLUDES) $(FIGURES_PNG) $(IMAGES_PNG) $(HEVEA_INC) $(LOGOS_EPS) $(PLOT_PNG)

user_manual.html:	user_manual.tex ../CHANGES $(INCLUDES) $(FIGURES_PNG) $(IMAGES_PNG) $(HEVEA_INC) $(LOGOS_EPS) $(PLOT_PNG)
	@echo Generating $@...
	@$(HEVEA) $(HEVEAOPTS) $(LANGUAGE) $(HEVEA_INC) $<
ifeq ($(strip $(IMAGES_PNG)),)
	@echo no images
else
	@echo Generating images for html...
	@ln -sf $(IMAGES_DIR)/*.png .
endif
ifeq ($(strip $(FIGURES_PNG)),)
	@echo no figures
else
	@echo Generating figures for html...
	@ln -sf $(FIGURES_DIR)/*.png .
endif
ifeq ($(strip $(PLOT_PNG)),)
	@echo no plot
else
	@echo Generating plot for html...
	@ln -sf $(PLOT_DIR)/*.png .
endif
	@echo done

%.xhtml: %.html
	@echo "Generating XHTML"
	@$(TIDY) -latin1 -f $*.tidy_log -c -asxml $*.html > $*.xhtml ; true

%.xml: %.xhtml $(XSL)
	@echo Generating $@...
	@$(XSLTPROC) -o $*.xml $(XSL) $*.xhtml
	@perl -i -pe 's@idxwebml-xhtml.dtd">@../../idxwebml.dtd" [<!ENTITY leftbar SYSTEM "menu.xml">]>@g' $*.xml
	@echo "done"

## remove builtin GNU-make implicit rule for dvi
%.dvi : %.tex

gv:	ps
	@$(GV) $(FILE) &

xpdf:	pdf
	@$(XPDF) $(FILE).pdf &

%.dvi: %.tex Makefile $(INCLUDES) $(LOGOS_EPS) $(FIGURES_EPS) $(IMAGES_EPS) $(PLOT)
	@echo Generating $@...
	@echo
	@$(LATEX) $<
	@egrep -c $(RERUNBIB) $*.log && ($(BIBTEX) $*;$(LATEX) $<) ; true
	@egrep $(RERUN) $*.log && $(LATEX) $< ; true
	@egrep $(RERUN) $*.log && $(LATEX) $< ; true
# Display relevant warnings
	@egrep -i "(Reference|Citation).*undefined" $*.log ; true

%.ps:	%.dvi
	@echo Generating $@...
	@dvips -q -t a4 -o $@ $<
	@echo done.

%.pdf: %.tex ../CHANGES $(INCLUDES) $(LOGOS_JPG) $(FIGURES_PNG) $(IMAGES_PNG) $(PLOT_PDF)
	@echo Generating $@...
	@echo
	@$(PDFLATEX) $<
	@egrep -c $(RERUNBIB) $*.log && ($(BIBTEX) $*;$(LATEX) $<) ; true
	@egrep $(RERUN) $*.log && $(PDFLATEX) $< ; true
	@egrep $(RERUN) $*.log && $(PDFLATEX) $< ; true
# Display relevant warnings
	@egrep -i "(Reference|Citation).*undefined" $*.log ; true

%.eps:	%.jpg
	@echo convert $< $@
	@$(CONVERT) $< $@

%.eps:	%.png
	@echo convert $< $@
	@$(CONVERT) $< $@

clean:
	@echo -n Cleaning intermediate files...
	@rm -f *.{aux,log,toc,bak,haux,lof,out,htoc,ps,links,refs,1} $(LOGOS_EPS)
	@echo "  done."

$(PLOT_DIR)/%.ps:	$(PLOT_DIR)/*.gplot
	@echo \* Producing ps files $< with data with gnuplot
	@cd $(PLOT_DIR); $(GNUPLOT) *.gplot ; cd -

$(PLOT_DIR)/%.png:	$(PLOT_DIR)/%.ps
	@echo Generating $@
	@$(CONVERT) $< $@

$(PLOT_DIR)/%.pdf:	$(PLOT_DIR)/%.ps
	@echo Generating $@
	@$(EPS2PDF) $<

$(FIGURES_DIR)/%.png:	$(FIGURES_DIR)/%.fig
	@echo Generating $@
	@$(FIG2DEV) -L png $< $@

$(FIGURES_DIR)/%.jpg:	$(FIGURES_DIR)/%.fig
	@echo Generating $@
	@$(FIG2DEV) -L jpeg $< $@

$(FIGURES_DIR)/%.eps:	$(FIGURES_DIR)/%.fig
	@echo Generating $@
	@$(FIG2DEV) -L eps $< $@

$(IMAGES_DIR)/%.jpg:	$(IMAGES_DIR)/%.png
	@echo Generating $@
	@$(CONVERT) $< $@

$(IMAGES_DIR)/%.eps:	$(IMAGES_DIR)/%.png
	@echo Generating $@
	@$(CONVERT) $< $@

$(LOGO_DIR)/%.eps:	$(IMAGES_DIR)/%.jpg
	@echo Generating $@
	@$(CONVERT) $< $@

mrproper: distclean

distclean:	clean
	@echo -n Cleaning result files...
	@rm -f $(DVIFILES) $(PSFILES) $(PDFFILES) $(LOGOS_EPS) $(FIGURES_EPS) $(FIGURES_PNG) *.html *motif.gif $(IMAGES_DIR)/*.eps *.png *.image.tex $(PLOT_PNG) $(PLOT_PDF) $(PLOT) *.bbl *.blg''
	@echo "  done."

=== debian/changelog ===
tsung (1.7.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/tsung-python3.patch.txt
    - support Python3
  * switch to use Python3, dropping python2 support; Closes: #938722

 -- Sandro Tosi <morph@debian.org>  Mon, 23 Sep 2019 20:42:10 -0400

tsung (1.7.0-3) unstable; urgency=medium

  * debian/patches:
    - 03_correct_lib_path.diff: Fix relative path to 
      `/usr/lib/$(DEB_HOST_MULTIARCH)/tsung/bin`
      (Closes: #873678) (LP: #1634143)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 16 Nov 2017 00:55:06 -0500

tsung (1.7.0-2) unstable; urgency=medium

  * debian/patches:
    - 01_correct_share_path.diff: Fix relative path to `/usr/share/tsung`.
      (Closes: #873678) (LP: #1634143)
    - 02_tsplot_manpage_typo.diff: Fix minor typos.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 16 Nov 2017 00:20:00 -0500

tsung (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 4.1.1.
    - Update python-sphinx dependency to python3-sphinx.
    - Remove ${erlang-abi:Depends} unused dependency, covered 
      by ${erlang:Depends}
  * debian/tsung.lintian-overrides:
    - Added file to ignore some expected lintian warnings.
  * debian/copyright:
    - Add mention to new file src/tsung/ts_server_websocket_ssl.erl

 -- Ignace Mouzannar <mouzannar@gmail.com>  Wed, 15 Nov 2017 23:06:34 -0500

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,15 @@
  erlang-src,
  python (>= 2.6.6-3~),
  dh-python,
- python-sphinx
+ python3-sphinx
 Homepage: http://tsung.erlang-projects.org/
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 
 Package: tsung
 Architecture: any
 Depends: gnuplot,
  libtemplate-perl,
  python-matplotlib,
- ${erlang-abi:Depends},
  ${erlang:Depends},
  ${misc:Depends},
  ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -31,4 +31,4 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	find $(CURDIR)/debian/tsung/usr/lib/erlang/lib/ -type d -empty -delete
+	find $(CURDIR)/debian/tsung/usr/lib -type d -empty -delete

=== debian/watch ===
version=3
http://tsung.erlang-projects.org/dist/tsung-(.*)\.tar\.gz

## tsung 1.8.0

=== debian/changelog ===
tsung (1.8.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version
    Closes: #1098720
  * Maintain package in Debian team on Salsa
  * d/watch: version=5
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/copyright:
     - Remove duplicate
     - Remove old FSF address
  * Depends: gnuplot-nox | gnuplot (no virtual package without real package)

 -- Andreas Tille <tille@debian.org>  Fri, 16 Jan 2026 20:48:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,33 @@
 Source: tsung
+Standards-Version: 4.7.3
+Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
 Section: net
-Priority: optional
-Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
-Build-Depends: autotools-dev,
- debhelper (>= 9),
+Build-Depends:
+ debhelper-compat (= 13),
  docbook-utils,
- erlang-dev (>= 1:13.b.1-dfsg-3),
+ erlang-dev,
  erlang-nox,
  erlang-src,
- python (>= 2.6.6-3~),
- dh-python,
- python3-sphinx
+ python3,
+ dh-sequence-python3,
+ python3-sphinx,
+Vcs-Browser: https://salsa.debian.org/debian/tsung
+Vcs-Git: https://salsa.debian.org/debian/tsung.git
 Homepage: http://tsung.erlang-projects.org/
-Standards-Version: 4.1.1
 
 Package: tsung
 Architecture: any
-Depends: gnuplot,
+Depends:
+ gnuplot-nox | gnuplot,
  libtemplate-perl,
- python-matplotlib,
+ python3-matplotlib,
  ${erlang:Depends},
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  libjs-jquery,
- libjs-underscore
-Recommends: openssh-client
+ libjs-underscore,
+Recommends:
+ openssh-client,
 Description: distributed multi-protocol load testing tool
  Tsung is a distributed load testing tool. It can be used to stress
  HTTP, WebDAV, SOAP, PostgreSQL, MySQL, LDAP and Jabber/XMPP servers.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 %:
-	dh $@ --with python3
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
Version: 5

Source: http://tsung.erlang-projects.org/dist/
Matching-Pattern: tsung-(.*)\.tar\.gz
